# Function column

- column<A, I>(tupArr, index): [...{
  [K in string | number | symbol]: K extends `${number}`
  ? A[K][I]
  : never
  }[]]

- #### Type Parameters

  - #### A extends RoArray2D

  - #### I extends number

  #### Parameters

  - ##### tupArr: A

  - ##### index: I

  #### Returns [...{
  [K in string | number | symbol]: K extends `${number}`
  ? A[K][I]
  : never
  }[]]

  - Defined in core/base/dist/esm/utils/array.d.ts:28

Generated using TypeDoc